Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.client
Class InternalClientListenerRunner

    java.lang.Object
      net.i2p.router.client.ClientListenerRunner
          net.i2p.router.client.InternalClientListenerRunner

All Implemented Interfaces:
  Runnable

    public class InternalClientListenerRunner

extends ClientListenerRunner

Listen for in-JVM connections on the internal "socket"

Since:
  0.7.9
Author:
  zzz

Field Summary

Fields inherited from class net.i2p.router.client.ClientListenerRunner
`_context, _listening, _log, _manager, _port, _running, _socket, BIND_ALL_INTERFACES`

Constructor Summary
`InternalClientListenerRunner(RouterContext context, ClientManager manager, int port)`

Method Summary
`void` | `runServer()` Start up the socket listener, listens for connections, and fires those connections off via `runConnection`.

Methods inherited from class net.i2p.router.client.ClientListenerRunner
`getPort, isListening, run, runConnection, setPort, stopListening, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalClientListenerRunner

    public InternalClientListenerRunner(RouterContext context,
                                        ClientManager manager,
                                        int port)

Method Detail

### runServer

    public void runServer()

  Start up the socket listener, listens for connections, and fires those connections off via `runConnection`. This only returns if the socket cannot be opened or there is a catastrophic failure.

  Overrides:
    `runServer` in class `ClientListenerRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD